VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CgsConstants"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'


Option Explicit



Public Property Get cgs_acre() As Double
  cgs_acre = 40468564.2241   ' cm^2
End Property


Public Property Get cgs_angstrom() As Double
  cgs_angstrom = 0.00000001 ' cm
End Property


Public Property Get cgs_astronomical_unit() As Double
  cgs_astronomical_unit = 14959787069100#  ' cm
End Property


Public Property Get cgs_bar() As Double
  cgs_bar = 1000000# ' g / cm s^2
End Property


Public Property Get cgs_barn() As Double
  cgs_barn = 1E-24 ' cm^2
End Property


Public Property Get cgs_bohr_magneton() As Double
  cgs_bohr_magneton = 9.27400899E-20 ' a cm^2
End Property


Public Property Get cgs_bohr_radius() As Double
  cgs_bohr_radius = 5.291772083E-09 ' cm
End Property


Public Property Get cgs_boltzmann() As Double
  cgs_boltzmann = 1.3806503E-16 ' g cm^2 / k s^2
End Property


Public Property Get cgs_btu() As Double
  cgs_btu = 10550558526.2    ' g cm^2 / s^2
End Property


Public Property Get cgs_calorie() As Double
  cgs_calorie = 41868000# ' g cm^2 / s^2
End Property


Public Property Get cgs_canadian_gallon() As Double
  cgs_canadian_gallon = 4546.09   ' cm^3
End Property


Public Property Get cgs_carat() As Double
  cgs_carat = 0.2  ' g
End Property


Public Property Get cgs_cup() As Double
  cgs_cup = 236.588236501   ' cm^3
End Property


Public Property Get cgs_curie() As Double
  cgs_curie = 37000000000# ' 1 / s
End Property


Public Property Get cgs_day() As Double
  cgs_day = 86400# ' s
End Property


Public Property Get cgs_dyne() As Double
  cgs_dyne = 1#  ' cm g / s^2
End Property


Public Property Get cgs_electron_charge() As Double
  cgs_electron_charge = 1.602176462E-19 ' a s
End Property


Public Property Get cgs_electron_magnetic_moment() As Double
  cgs_electron_magnetic_moment = 9.28476362E-20 ' a cm^2
End Property


Public Property Get cgs_electron_volt() As Double
  cgs_electron_volt = 1.602176462E-12 ' g cm^2 / s^2
End Property


Public Property Get cgs_erg() As Double
  cgs_erg = 1#  ' g cm^2 / s^2
End Property


Public Property Get cgs_faraday() As Double
  cgs_faraday = 96485.341472   ' a s / mol
End Property


Public Property Get cgs_fathom() As Double
  cgs_fathom = 182.88   ' cm
End Property


Public Property Get cgs_fluid_ounce() As Double
  cgs_fluid_ounce = 29.5735295626   ' cm^3
End Property


Public Property Get cgs_foot() As Double
  cgs_foot = 30.48   ' cm
End Property


Public Property Get cgs_footcandle() As Double
  cgs_footcandle = 0.001076 ' cd sr / cm^2
End Property


Public Property Get cgs_footlambert() As Double
  cgs_footlambert = 0.00107639104 ' cd sr / cm^2
End Property


Public Property Get cgs_gauss() As Double
  cgs_gauss = 0.1  ' g / a s^2
End Property


Public Property Get cgs_gram_force() As Double
  cgs_gram_force = 980.665   ' cm g / s^2
End Property


Public Property Get cgs_grav_accel() As Double
  cgs_grav_accel = 980.665   ' cm / s^2
End Property


Public Property Get cgs_gravitational_constant() As Double
  cgs_gravitational_constant = 0.00000006673 ' cm^3 / g s^2
End Property


Public Property Get cgs_hectare() As Double
  cgs_hectare = 100000000# ' cm^2
End Property


Public Property Get cgs_horsepower() As Double
  cgs_horsepower = 7457000000# ' g cm^2 / s^3
End Property


Public Property Get cgs_hour() As Double
  cgs_hour = 3600# ' s
End Property


Public Property Get cgs_inch() As Double
  cgs_inch = 2.54   ' cm
End Property


Public Property Get cgs_inch_of_mercury() As Double
  cgs_inch_of_mercury = 33863.8815789   ' g / cm s^2
End Property


Public Property Get cgs_inch_of_water() As Double
  cgs_inch_of_water = 2490.889   ' g / cm s^2
End Property


Public Property Get cgs_joule() As Double
  cgs_joule = 10000000# ' g cm^2 / s^2
End Property


Public Property Get cgs_kilometers_per_hour() As Double
  cgs_kilometers_per_hour = 27.7777777778   ' cm / s
End Property


Public Property Get cgs_kilopound_force() As Double
  cgs_kilopound_force = 444822161.526   ' cm g / s^2
End Property


Public Property Get cgs_knot() As Double
  cgs_knot = 51.4444444444   ' cm / s
End Property


Public Property Get cgs_lambert() As Double
  cgs_lambert = 1#  ' cd sr / cm^2
End Property


Public Property Get cgs_light_year() As Double
  cgs_light_year = 9.46053620707E+17 ' cm
End Property


Public Property Get cgs_liter() As Double
  cgs_liter = 1000# ' cm^3
End Property


Public Property Get cgs_lumen() As Double
  cgs_lumen = 1#  ' cd sr
End Property


Public Property Get cgs_lux() As Double
  cgs_lux = 0.0001 ' cd sr / cm^2
End Property


Public Property Get cgs_mass_electron() As Double
  cgs_mass_electron = 9.10938188E-28 ' g
End Property


Public Property Get cgs_mass_muon() As Double
  cgs_mass_muon = 1.88353109E-25 ' g
End Property


Public Property Get cgs_mass_neutron() As Double
  cgs_mass_neutron = 1.67492716E-24 ' g
End Property


Public Property Get cgs_mass_proton() As Double
  cgs_mass_proton = 1.67262158E-24 ' g
End Property


Public Property Get cgs_meter_of_mercury() As Double
  cgs_meter_of_mercury = 1333223.68421   ' g / cm s^2
End Property


Public Property Get cgs_metric_ton() As Double
  cgs_metric_ton = 1000000# ' g
End Property


Public Property Get cgs_micron() As Double
  cgs_micron = 0.0001 ' cm
End Property


Public Property Get cgs_mil() As Double
  cgs_mil = 0.00254 ' cm
End Property


Public Property Get cgs_mile() As Double
  cgs_mile = 160934.4   ' cm
End Property


Public Property Get cgs_miles_per_hour() As Double
  cgs_miles_per_hour = 44.704   ' cm / s
End Property


Public Property Get cgs_minute() As Double
  cgs_minute = 60# ' s
End Property


Public Property Get cgs_molar_gas() As Double
  cgs_molar_gas = 83144720#  ' g cm^2 / k mol s^2
End Property


Public Property Get cgs_nautical_mile() As Double
  cgs_nautical_mile = 185200# ' cm
End Property


Public Property Get cgs_newton() As Double
  cgs_newton = 100000# ' cm g / s^2
End Property


Public Property Get cgs_nuclear_magneton() As Double
  cgs_nuclear_magneton = 5.05078317E-23 ' a cm^2
End Property


Public Property Get cgs_ounce_mass() As Double
  cgs_ounce_mass = 28.349523125   ' g
End Property


Public Property Get cgs_parsec() As Double
  cgs_parsec = 3.08567758135E+18 ' cm
End Property


Public Property Get cgs_phot() As Double
  cgs_phot = 1#  ' cd sr / cm^2
End Property


Public Property Get cgs_pint() As Double
  cgs_pint = 473.176473002   ' cm^3
End Property


Public Property Get cgs_plancks_constant_h() As Double
  cgs_plancks_constant_h = 6.62606876E-27 ' g cm^2 / s
End Property


Public Property Get cgs_plancks_constant_hbar() As Double
  cgs_plancks_constant_hbar = 1.05457159642E-27 ' g cm^2 / s
End Property


Public Property Get cgs_point() As Double
  cgs_point = 0.0352777777778  ' cm
End Property


Public Property Get cgs_poise() As Double
  cgs_poise = 1#  ' g / cm s
End Property


Public Property Get cgs_pound_force() As Double
  cgs_pound_force = 444822.161526   ' cm g / s^2
End Property


Public Property Get cgs_pound_mass() As Double
  cgs_pound_mass = 453.59237   ' g
End Property


Public Property Get cgs_poundal() As Double
  cgs_poundal = 13825.5   ' cm g / s^2
End Property


Public Property Get cgs_proton_magnetic_moment() As Double
  cgs_proton_magnetic_moment = 1.410606633E-22 ' a cm^2
End Property


Public Property Get cgs_psi() As Double
  cgs_psi = 68947.5729317   ' g / cm s^2
End Property


Public Property Get cgs_quart() As Double
  cgs_quart = 946.352946004   ' cm^3
End Property


Public Property Get cgs_rad() As Double
  cgs_rad = 100# ' cm^2 / s^2
End Property


Public Property Get cgs_roentgen() As Double
  cgs_roentgen = 0.000000258 ' a s / g
End Property


Public Property Get cgs_rydberg() As Double
  cgs_rydberg = 2.17987190389E-11 ' g cm^2 / s^2
End Property


Public Property Get cgs_solar_mass() As Double
  cgs_solar_mass = 1.98892E+33 ' g
End Property


Public Property Get cgs_speed_of_light() As Double
  cgs_speed_of_light = 29979245800#  ' cm / s
End Property


Public Property Get cgs_standard_gas_volume() As Double
  cgs_standard_gas_volume = 22710.981   ' cm^3 / mol
End Property


Public Property Get cgs_std_atmosphere() As Double
  cgs_std_atmosphere = 1013250#  ' g / cm s^2
End Property


Public Property Get cgs_stilb() As Double
  cgs_stilb = 1#  ' cd / cm^2
End Property


Public Property Get cgs_stokes() As Double
  cgs_stokes = 1#  ' cm^2 / s
End Property


Public Property Get cgs_tablespoon() As Double
  cgs_tablespoon = 14.7867647813   ' cm^3
End Property


Public Property Get cgs_teaspoon() As Double
  cgs_teaspoon = 4.92892159375   ' cm^3
End Property


Public Property Get cgs_texpoint() As Double
  cgs_texpoint = 0.0351459803515  ' cm
End Property


Public Property Get cgs_therm() As Double
  cgs_therm = 1.05506E+15 ' g cm^2 / s^2
End Property


Public Property Get cgs_ton() As Double
  cgs_ton = 907184.74   ' g
End Property


Public Property Get cgs_torr() As Double
  cgs_torr = 1333.22368421   ' g / cm s^2
End Property


Public Property Get cgs_troy_ounce() As Double
  cgs_troy_ounce = 31.103475   ' g
End Property


Public Property Get cgs_uk_gallon() As Double
  cgs_uk_gallon = 4546.092   ' cm^3
End Property


Public Property Get cgs_uk_ton() As Double
  cgs_uk_ton = 1016046.9088   ' g
End Property


Public Property Get cgs_unified_atomic_mass() As Double
  cgs_unified_atomic_mass = 1.66053873E-24 ' g
End Property


Public Property Get cgs_us_gallon() As Double
  cgs_us_gallon = 3785.41178402   ' cm^3
End Property


Public Property Get cgs_vacuum_permeability() As Double
  cgs_vacuum_permeability = 0.125663706144   ' cm g / a^2 s^2
End Property


Public Property Get cgs_vacuum_permittivity() As Double
  cgs_vacuum_permittivity = 8.854187817E-21 ' a^2 s^4 / g cm^3
End Property


Public Property Get cgs_week() As Double
  cgs_week = 604800# ' s
End Property


Public Property Get cgs_yard() As Double
  cgs_yard = 91.44   ' cm
End Property

