VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "PeriodicTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "Returns collection of periodic table elements"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"Element"
Attribute VB_Ext_KEY = "Member0" ,"Element"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
'local variable to hold collection
Private m_elements As Collection

Public Function Add(Key As String, AtomicWeight As Variant, ElementName As Variant, Abbreviation As Variant, Optional sKey As String) As Element
    'create a new object
    Dim objNewMember As Element
    Set objNewMember = New Element


    'set the properties passed into the method
    objNewMember.Key = Key
    If IsObject(AtomicWeight) Then
        Set objNewMember.AtomicWeight = AtomicWeight
    Else
        objNewMember.AtomicWeight = AtomicWeight
    End If
    If IsObject(ElementName) Then
        Set objNewMember.ElementName = ElementName
    Else
        objNewMember.ElementName = ElementName
    End If
    If IsObject(Abbreviation) Then
        Set objNewMember.Abbreviation = Abbreviation
    Else
        objNewMember.Abbreviation = Abbreviation
    End If
    If Len(sKey) = 0 Then
        m_elements.Add objNewMember
    Else
        m_elements.Add objNewMember, sKey
    End If


    'return the object created
    Set Add = objNewMember
    Set objNewMember = Nothing


End Function

Public Property Get Item(vntIndexKey As Variant) As Element
Attribute Item.VB_UserMemId = 0
    'used when referencing an element in the collection
    'vntIndexKey contains either the Index or Key to the collection,
    'this is why it is declared as a Variant
    'Syntax: Set foo = x.Item(xyz) or Set foo = x.Item(5)
  Set Item = m_elements(vntIndexKey)
End Property



Public Property Get Count() As Long
    'used when retrieving the number of elements in the
    'collection. Syntax: Debug.Print x.Count
    Count = m_elements.Count
End Property


Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    'this property allows you to enumerate
    'this collection with the For...Each syntax
    Set NewEnum = m_elements.[_NewEnum]
End Property


Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set m_elements = New Collection
End Sub


Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set m_elements = Nothing
End Sub

Private Sub Refresh()
  Atom.Abbreviation = "H"
  Atom.AtomicNumber = 1
  Atom.AtomicWeight = 1.007947
  Atom.ElementName = "Hydrogen"
  m_elements.Add Atom
  Atom.Abbreviation = "He"
  Atom.AtomicNumber = 2
  Atom.AtomicWeight = 4.0026022
  Atom.ElementName = "Helium"
  m_elements.Add Atom
  Atom.Abbreviation = "Li"
  Atom.AtomicNumber = 3
  Atom.AtomicWeight = 6.9412
  Atom.ElementName = "Lithium"
  m_elements.Add Atom
  Atom.Abbreviation = "Be"
  Atom.AtomicNumber = 4
  Atom.AtomicWeight = 9.0121823
  Atom.ElementName = "Beryllium"
  m_elements.Add Atom
  Atom.Abbreviation = "B"
  Atom.AtomicNumber = 5
  Atom.AtomicWeight = 10.8117
  Atom.ElementName = "Boron"
  m_elements.Add Atom
  Atom.Abbreviation = "C"
  Atom.AtomicNumber = 6
  Atom.AtomicWeight = 12.01078
  Atom.ElementName = "Carbon"
  m_elements.Add Atom
  Atom.Abbreviation = "N"
  Atom.AtomicNumber = 7
  Atom.AtomicWeight = 14.00672
  Atom.ElementName = "Nitrogen"
  m_elements.Add Atom
  Atom.Abbreviation = "O"
  Atom.AtomicNumber = 8
  Atom.AtomicWeight = 15.99943
  Atom.ElementName = "Oxygen"
  m_elements.Add Atom
  Atom.Abbreviation = "F"
  Atom.AtomicNumber = 9
  Atom.AtomicWeight = 18.99840325
  Atom.ElementName = "Fluorine"
  m_elements.Add Atom
  Atom.Abbreviation = "Ne"
  Atom.AtomicNumber = 10
  Atom.AtomicWeight = 20.17976
  Atom.ElementName = "Neon"
  m_elements.Add Atom
  Atom.Abbreviation = "Na"
  Atom.AtomicNumber = 11
  Atom.AtomicWeight = 22.9897702
  Atom.ElementName = "Sodium"
  m_elements.Add Atom
  Atom.Abbreviation = "Mg"
  Atom.AtomicNumber = 12
  Atom.AtomicWeight = 24.30506
  Atom.ElementName = "Magnesium"
  m_elements.Add Atom
  Atom.Abbreviation = "Al"
  Atom.AtomicNumber = 13
  Atom.AtomicWeight = 26.9815382
  Atom.ElementName = "Aluminium"
  m_elements.Add Atom
  Atom.Abbreviation = "Si"
  Atom.AtomicNumber = 14
  Atom.AtomicWeight = 28.08553
  Atom.ElementName = "Silicon"
  m_elements.Add Atom
  Atom.Abbreviation = "P"
  Atom.AtomicNumber = 15
  Atom.AtomicWeight = 30.9737612
  Atom.ElementName = "Phosphorus"
  m_elements.Add Atom
  Atom.Abbreviation = "S"
  Atom.AtomicNumber = 16
  Atom.AtomicWeight = 32.0655
  Atom.ElementName = "Sulfur"
  m_elements.Add Atom
  Atom.Abbreviation = "Cl"
  Atom.AtomicNumber = 17
  Atom.AtomicWeight = 35.4532
  Atom.ElementName = "Chlorine"
  m_elements.Add Atom
  Atom.Abbreviation = "Ar"
  Atom.AtomicNumber = 18
  Atom.AtomicWeight = 39.9481
  Atom.ElementName = "Argon"
  m_elements.Add Atom
  Atom.Abbreviation = "K"
  Atom.AtomicNumber = 19
  Atom.AtomicWeight = 39.09831
  Atom.ElementName = "Potassium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ca"
  Atom.AtomicNumber = 20
  Atom.AtomicWeight = 40.0784
  Atom.ElementName = "Calcium"
  m_elements.Add Atom
  Atom.Abbreviation = "sc"
  Atom.AtomicNumber = 21
  Atom.AtomicWeight = 44.9559108
  Atom.ElementName = "Scandium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ti"
  Atom.AtomicNumber = 22
  Atom.AtomicWeight = 47.8671
  Atom.ElementName = "Titanium"
  m_elements.Add Atom
  Atom.Abbreviation = "V"
  Atom.AtomicNumber = 23
  Atom.AtomicWeight = 50.94151
  Atom.ElementName = "Vanadium"
  m_elements.Add Atom
  Atom.Abbreviation = "Cr"
  Atom.AtomicNumber = 24
  Atom.AtomicWeight = 51.99616
  Atom.ElementName = "Chromium"
  m_elements.Add Atom
  Atom.Abbreviation = "Mn"
  Atom.AtomicNumber = 25
  Atom.AtomicWeight = 54.9380499
  Atom.ElementName = "Manganese"
  m_elements.Add Atom
  Atom.Abbreviation = "Fe"
  Atom.AtomicNumber = 26
  Atom.AtomicWeight = 55.8452
  Atom.ElementName = "Iron"
  m_elements.Add Atom
  Atom.Abbreviation = "Co"
  Atom.AtomicNumber = 27
  Atom.AtomicWeight = 58.9332009
  Atom.ElementName = "Cobalt"
  m_elements.Add Atom
  Atom.Abbreviation = "Ni"
  Atom.AtomicNumber = 28
  Atom.AtomicWeight = 58.69342
  Atom.ElementName = "Nickel"
  m_elements.Add Atom
  Atom.Abbreviation = "Cu"
  Atom.AtomicNumber = 29
  Atom.AtomicWeight = 63.5463
  Atom.ElementName = "Copper"
  m_elements.Add Atom
  Atom.Abbreviation = "Zn"
  Atom.AtomicNumber = 30
  Atom.AtomicWeight = 65.4094
  Atom.ElementName = "Zinc"
  m_elements.Add Atom
  Atom.Abbreviation = "Ga"
  Atom.AtomicNumber = 31
  Atom.AtomicWeight = 69.7231
  Atom.ElementName = "Gallium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ge"
  Atom.AtomicNumber = 32
  Atom.AtomicWeight = 72.641
  Atom.ElementName = "Germanium"
  m_elements.Add Atom
  Atom.Abbreviation = "As"
  Atom.AtomicNumber = 33
  Atom.AtomicWeight = 74.921602
  Atom.ElementName = "Arsenic"
  m_elements.Add Atom
  Atom.Abbreviation = "Se"
  Atom.AtomicNumber = 34
  Atom.AtomicWeight = 78.963
  Atom.ElementName = "Selenium"
  m_elements.Add Atom
  Atom.Abbreviation = "Br"
  Atom.AtomicNumber = 35
  Atom.AtomicWeight = 79.9041
  Atom.ElementName = "Bromine"
  m_elements.Add Atom
  Atom.Abbreviation = "Kr"
  Atom.AtomicNumber = 36
  Atom.AtomicWeight = 83.7982
  Atom.ElementName = "Krypton"
  m_elements.Add Atom
  Atom.Abbreviation = "Rb"
  Atom.AtomicNumber = 37
  Atom.AtomicWeight = 85.46783
  Atom.ElementName = "Rubidium"
  m_elements.Add Atom
  Atom.Abbreviation = "Sr"
  Atom.AtomicNumber = 38
  Atom.AtomicWeight = 87.621
  Atom.ElementName = "Strontium"
  m_elements.Add Atom
  Atom.Abbreviation = "Y"
  Atom.AtomicNumber = 39
  Atom.AtomicWeight = 88.905852
  Atom.ElementName = "Yttrium"
  m_elements.Add Atom
  Atom.Abbreviation = "Zr"
  Atom.AtomicNumber = 40
  Atom.AtomicWeight = 91.2242
  Atom.ElementName = "Zirconium"
  m_elements.Add Atom
  Atom.Abbreviation = "Nb"
  Atom.AtomicNumber = 41
  Atom.AtomicWeight = 92.906382
  Atom.ElementName = "Niobium"
  m_elements.Add Atom
  Atom.Abbreviation = "Mo"
  Atom.AtomicNumber = 42
  Atom.AtomicWeight = 95.942
  Atom.ElementName = "Molybdenum"
  m_elements.Add Atom
  Atom.Abbreviation = "Tc"
  Atom.AtomicNumber = 43
  Atom.AtomicWeight = 98
  Atom.ElementName = "Technetium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ru"
  Atom.AtomicNumber = 44
  Atom.AtomicWeight = 101.072
  Atom.ElementName = "Ruthenium"
  m_elements.Add Atom
  Atom.Abbreviation = "Rh"
  Atom.AtomicNumber = 45
  Atom.AtomicWeight = 102.905502
  Atom.ElementName = "Rhodium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pd"
  Atom.AtomicNumber = 46
  Atom.AtomicWeight = 106.421
  Atom.ElementName = "Palladium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ag"
  Atom.AtomicNumber = 47
  Atom.AtomicWeight = 107.86822
  Atom.ElementName = "Silver"
  m_elements.Add Atom
  Atom.Abbreviation = "Cd"
  Atom.AtomicNumber = 48
  Atom.AtomicWeight = 112.4118
  Atom.ElementName = "Cadmium"
  m_elements.Add Atom
  Atom.Abbreviation = "In"
  Atom.AtomicNumber = 49
  Atom.AtomicWeight = 114.8183
  Atom.ElementName = "Indium"
  m_elements.Add Atom
  Atom.Abbreviation = "Sn"
  Atom.AtomicNumber = 50
  Atom.AtomicWeight = 118.7107
  Atom.ElementName = "Tin"
  m_elements.Add Atom
  Atom.Abbreviation = "Sb"
  Atom.AtomicNumber = 51
  Atom.AtomicWeight = 121.7601
  Atom.ElementName = "Antimony"
  m_elements.Add Atom
  Atom.Abbreviation = "Te"
  Atom.AtomicNumber = 52
  Atom.AtomicWeight = 127.603
  Atom.ElementName = "Tellurium"
  m_elements.Add Atom
  Atom.Abbreviation = "I"
  Atom.AtomicNumber = 53
  Atom.AtomicWeight = 126.904473
  Atom.ElementName = "Iodine"
  m_elements.Add Atom
  Atom.Abbreviation = "Xe"
  Atom.AtomicNumber = 54
  Atom.AtomicWeight = 131.2936
  Atom.ElementName = "Xenon"
  m_elements.Add Atom
  Atom.Abbreviation = "Cs"
  Atom.AtomicNumber = 55
  Atom.AtomicWeight = 132.905452
  Atom.ElementName = "Caesium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ba"
  Atom.AtomicNumber = 56
  Atom.AtomicWeight = 137.3277
  Atom.ElementName = "Barium"
  m_elements.Add Atom
  Atom.Abbreviation = "La"
  Atom.AtomicNumber = 57
  Atom.AtomicWeight = 138.90552
  Atom.ElementName = "Lanthanum"
  m_elements.Add Atom
  Atom.Abbreviation = "Ce"
  Atom.AtomicNumber = 58
  Atom.AtomicWeight = 140.1161
  Atom.ElementName = "Cerium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pr"
  Atom.AtomicNumber = 59
  Atom.AtomicWeight = 140.907652
  Atom.ElementName = "Praseodymium"
  m_elements.Add Atom
  Atom.Abbreviation = "Nd"
  Atom.AtomicNumber = 60
  Atom.AtomicWeight = 144.243
  Atom.ElementName = "Neodymium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pm"
  Atom.AtomicNumber = 61
  Atom.AtomicWeight = 145
  Atom.ElementName = "Promethium"
  m_elements.Add Atom
  Atom.Abbreviation = "Sm"
  Atom.AtomicNumber = 62
  Atom.AtomicWeight = 150.363
  Atom.ElementName = "Samarium"
  m_elements.Add Atom
  Atom.Abbreviation = "Eu"
  Atom.AtomicNumber = 63
  Atom.AtomicWeight = 151.9641
  Atom.ElementName = "Europium"
  m_elements.Add Atom
  Atom.Abbreviation = "Gd"
  Atom.AtomicNumber = 64
  Atom.AtomicWeight = 157.253
  Atom.ElementName = "Gadolinium"
  m_elements.Add Atom
  Atom.Abbreviation = "Tb"
  Atom.AtomicNumber = 65
  Atom.AtomicWeight = 158.925342
  Atom.ElementName = "Terbium"
  m_elements.Add Atom
  Atom.Abbreviation = "Dy"
  Atom.AtomicNumber = 66
  Atom.AtomicWeight = 162.5001
  Atom.ElementName = "Dysprosium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ho"
  Atom.AtomicNumber = 67
  Atom.AtomicWeight = 164.930322
  Atom.ElementName = "Holmium"
  m_elements.Add Atom
  Atom.Abbreviation = "Er"
  Atom.AtomicNumber = 68
  Atom.AtomicWeight = 167.2593
  Atom.ElementName = "Erbium"
  m_elements.Add Atom
  Atom.Abbreviation = "Tm"
  Atom.AtomicNumber = 69
  Atom.AtomicWeight = 168.934212
  Atom.ElementName = "Thulium"
  m_elements.Add Atom
  Atom.Abbreviation = "Yb"
  Atom.AtomicNumber = 70
  Atom.AtomicWeight = 173.043
  Atom.ElementName = "Ytterbium"
  m_elements.Add Atom
  Atom.Abbreviation = "Lu"
  Atom.AtomicNumber = 71
  Atom.AtomicWeight = 174.9671
  Atom.ElementName = "Lutetium"
  m_elements.Add Atom
  Atom.Abbreviation = "Hf"
  Atom.AtomicNumber = 72
  Atom.AtomicWeight = 178.492
  Atom.ElementName = "Hafnium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ta"
  Atom.AtomicNumber = 73
  Atom.AtomicWeight = 180.94791
  Atom.ElementName = "Tantalum"
  m_elements.Add Atom
  Atom.Abbreviation = "W"
  Atom.AtomicNumber = 74
  Atom.AtomicWeight = 183.841
  Atom.ElementName = "Tungsten"
  m_elements.Add Atom
  Atom.Abbreviation = "Re"
  Atom.AtomicNumber = 75
  Atom.AtomicWeight = 186.2071
  Atom.ElementName = "Rhenium"
  m_elements.Add Atom
  Atom.Abbreviation = "Os"
  Atom.AtomicNumber = 76
  Atom.AtomicWeight = 190.233
  Atom.ElementName = "Osmium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ir"
  Atom.AtomicNumber = 77
  Atom.AtomicWeight = 192.2173
  Atom.ElementName = "Iridium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pt"
  Atom.AtomicNumber = 78
  Atom.AtomicWeight = 195.0782
  Atom.ElementName = "Platinum"
  m_elements.Add Atom
  Atom.Abbreviation = "Au"
  Atom.AtomicNumber = 79
  Atom.AtomicWeight = 196.966552
  Atom.ElementName = "Gold"
  m_elements.Add Atom
  Atom.Abbreviation = "Hg"
  Atom.AtomicNumber = 80
  Atom.AtomicWeight = 200.592
  Atom.ElementName = "Mercury"
  m_elements.Add Atom
  Atom.Abbreviation = "Tl"
  Atom.AtomicNumber = 81
  Atom.AtomicWeight = 204.38332
  Atom.ElementName = "Thallium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pb"
  Atom.AtomicNumber = 82
  Atom.AtomicWeight = 207.21
  Atom.ElementName = "Lead"
  m_elements.Add Atom
  Atom.Abbreviation = "Bi"
  Atom.AtomicNumber = 83
  Atom.AtomicWeight = 208.980382
  Atom.ElementName = "Bismuth"
  m_elements.Add Atom
  Atom.Abbreviation = "Po"
  Atom.AtomicNumber = 84
  Atom.AtomicWeight = 209
  Atom.ElementName = "Polonium"
  m_elements.Add Atom
  Atom.Abbreviation = "At"
  Atom.AtomicNumber = 85
  Atom.AtomicWeight = 210
  Atom.ElementName = "Astatine"
  m_elements.Add Atom
  Atom.Abbreviation = "Rn"
  Atom.AtomicNumber = 86
  Atom.AtomicWeight = 222
  Atom.ElementName = "Radon"
  m_elements.Add Atom
  Atom.Abbreviation = "Fr"
  Atom.AtomicNumber = 87
  Atom.AtomicWeight = 223
  Atom.ElementName = "Francium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ra"
  Atom.AtomicNumber = 88
  Atom.AtomicWeight = 226
  Atom.ElementName = "Radium"
  m_elements.Add Atom
  Atom.Abbreviation = "Ac"
  Atom.AtomicNumber = 89
  Atom.AtomicWeight = 227
  Atom.ElementName = "Actinium"
  m_elements.Add Atom
  Atom.Abbreviation = "Th"
  Atom.AtomicNumber = 90
  Atom.AtomicWeight = 232.03811
  Atom.ElementName = "Thorium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pa"
  Atom.AtomicNumber = 91
  Atom.AtomicWeight = 231.035882
  Atom.ElementName = "Protactinium"
  m_elements.Add Atom
  Atom.Abbreviation = "U"
  Atom.AtomicNumber = 92
  Atom.AtomicWeight = 238.028913
  Atom.ElementName = "Uranium"
  m_elements.Add Atom
  Atom.Abbreviation = "Np"
  Atom.AtomicNumber = 93
  Atom.AtomicWeight = 237
  Atom.ElementName = "Neptunium"
  m_elements.Add Atom
  Atom.Abbreviation = "Pu"
  Atom.AtomicNumber = 94
  Atom.AtomicWeight = 244
  Atom.ElementName = "Plutonium"
  m_elements.Add Atom
  Atom.Abbreviation = "Am"
  Atom.AtomicNumber = 95
  Atom.AtomicWeight = 243
  Atom.ElementName = "Americium"
  m_elements.Add Atom
  Atom.Abbreviation = "Cm"
  Atom.AtomicNumber = 96
  Atom.AtomicWeight = 247
  Atom.ElementName = "Curium"
  m_elements.Add Atom
  Atom.Abbreviation = "Bk"
  Atom.AtomicNumber = 97
  Atom.AtomicWeight = 247
  Atom.ElementName = "Berkelium"
  m_elements.Add Atom
  Atom.Abbreviation = "Cf"
  Atom.AtomicNumber = 98
  Atom.AtomicWeight = 251
  Atom.ElementName = "Californium"
  m_elements.Add Atom
  Atom.Abbreviation = "Es"
  Atom.AtomicNumber = 99
  Atom.AtomicWeight = 252
  Atom.ElementName = "Einsteinium"
  m_elements.Add Atom
  Atom.Abbreviation = "Fm"
  Atom.AtomicNumber = 100
  Atom.AtomicWeight = 257
  Atom.ElementName = "Fermium"
  m_elements.Add Atom
  Atom.Abbreviation = "Md"
  Atom.AtomicNumber = 101
  Atom.AtomicWeight = 258
  Atom.ElementName = "Mendelevium"
  m_elements.Add Atom
  Atom.Abbreviation = "No"
  Atom.AtomicNumber = 102
  Atom.AtomicWeight = 259
  Atom.ElementName = "Nobelium"
  m_elements.Add Atom
  Atom.Abbreviation = "Lr"
  Atom.AtomicNumber = 103
  Atom.AtomicWeight = 262
  Atom.ElementName = "Lawrencium"
  m_elements.Add Atom
  Atom.Abbreviation = "Rf"
  Atom.AtomicNumber = 104
  Atom.AtomicWeight = 261
  Atom.ElementName = "Rutherfordium"
  m_elements.Add Atom
  Atom.Abbreviation = "Db"
  Atom.AtomicNumber = 105
  Atom.AtomicWeight = 262
  Atom.ElementName = "Dubnium"
  m_elements.Add Atom
  Atom.Abbreviation = "Sg"
  Atom.AtomicNumber = 106
  Atom.AtomicWeight = 266
  Atom.ElementName = "Seaborgium"
  m_elements.Add Atom
  Atom.Abbreviation = "Bh"
  Atom.AtomicNumber = 107
  Atom.AtomicWeight = 264
  Atom.ElementName = "Bohrium"
  m_elements.Add Atom
  Atom.Abbreviation = "Hs"
  Atom.AtomicNumber = 108
  Atom.AtomicWeight = 277
  Atom.ElementName = "Hassium"
  m_elements.Add Atom
  Atom.Abbreviation = "Mt"
  Atom.AtomicNumber = 109
  Atom.AtomicWeight = 268
  Atom.ElementName = "Meitnerium"
  m_elements.Add Atom
  Atom.Abbreviation = "Uun"
  Atom.AtomicNumber = 110
  Atom.AtomicWeight = 281
  Atom.ElementName = "Ununnilium"
  m_elements.Add Atom
  Atom.Abbreviation = "Uuu"
  Atom.AtomicNumber = 111
  Atom.AtomicWeight = 272
  Atom.ElementName = "Unununium"
  m_elements.Add Atom
  Atom.Abbreviation = "Uub"
  Atom.AtomicNumber = 112
  Atom.AtomicWeight = 285
  Atom.ElementName = "Ununbium"
  m_elements.Add Atom
  Atom.Abbreviation = "Uuq"
  Atom.AtomicNumber = 114
  Atom.AtomicWeight = 289
  Atom.ElementName = "Ununquadium"
  m_elements.Add Atom
End Sub
