VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "SparseMatrix"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Description = "Implements a sparse matrix for compact storage of large, empty matrices in COM clients."
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"

' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'

' Although written from scratch, this elegantly simple approach was
' inspired by a free example from SoftCircuits programming.
' http://www.softcircuits.com

Option Explicit

'Private collection to store collections for each row
Private m_Rows As New Collection

'Returns the cell value for the given row and column
Public Property Get Cell(ByVal Row As Long, _
      ByVal Column As Long) As Variant
  Dim Columns As Collection
  Dim value As Variant

  On Error Resume Next
  Set Columns = m_Rows(CStr(Row))
  'Return empty value if row doesn't exist
  If Err Then Exit Property
  value = Columns(CStr(Column))
  'Return empty value is column doesn't exist
  If Err Then Exit Property
  'Else return cell value
  Cell = value
End Property

'Sets the cell value for the given row and column
Public Property Let Cell(ByVal Row As Long, ByVal Column As Long, _
      value As Variant)
Attribute Cell.VB_Description = "The value of element(row, column)"
  Dim Columns As Collection

  On Error Resume Next
  Set Columns = m_Rows(CStr(Row))
  'Add row if it doesn't exist
  If Err Then
    Set Columns = New Collection
    m_Rows.Add Columns, CStr(Row)
  End If
  'Remove cell if it already exists (errors ignored)
  Columns.Remove CStr(Column)
  'Add new value
  Columns.Add value, CStr(Column)
End Property
